#
# Conditional build:
%bcond_with	tests		# perform "make test" (uses network)
#
%define		pdir	Net
%define		pnam	HTTP
%include	/usr/lib/rpm/macros.perl
Summary:	Net::HTTP - Low-level HTTP connection (client)
Summary(pl.UTF-8):	Net::HTTP - nieskopoziomowe połączenie HTTP (klient)
Name:		perl-Net-HTTP
Version:	6.19
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6cbebcc76099ce822f0aa7764af11f73
URL:		http://search.cpan.org/dist/Net-HTTP/
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-IO-Compress
%endif
Suggests:	perl-IO-Socket-SSL >= 2.012
Conflicts:	perl-libwww < 6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net::HTTP class is a low-level HTTP client. An instance of the
Net::HTTP class represents a connection to an HTTP server. The HTTP
protocol is described in RFC 2616. The Net::HTTP class supports
HTTP/1.0 and HTTP/1.1.

%description -l pl.UTF-8
Klasa Net::HTTP jest niskopoziomowym klientem HTTP. Instancja tej
klasy reprezentuje połączenie z serwerem HTTP. Protokół HTTP jest
opisany w RFC 2616. Klasa Net::HTTP obsługuje HTTP/1.0 i HTTP/1.1.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Net/HTTP.pm
%{perl_vendorlib}/Net/HTTPS.pm
%{perl_vendorlib}/Net/HTTP
%{_mandir}/man3/Net::HTTP*.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-HTTP.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 8772012
- up to 6.19

* Mon Oct 01 2018 Jakub Bogusz <qboosh@pld-linux.org> b01acc0
- updated to 6.18

* Wed Sep 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> b8bac67
- updated to 6.07

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 9e5e536
- updated to 6.06

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 5187af3
- updated to 6.03

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> af51c84
- updated to 6.02

* Sat Apr 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 5929cb2
- updated to 6.01

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 0e9cb1c
- don't package README (just a copy of man page)

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> d7d8f3f
- new

